from rest_framework import routers, viewsets, serializers

from mail.models import Email


class EmailSerializer(serializers.ModelSerializer):
    class Meta:
        model = Email
        fields = '__all__'


class EmailViewSet(viewsets.ModelViewSet):
    serializer_class = EmailSerializer
    queryset = Email.objects.all()
    permission_classes = []
    authentication_classes = []


router = routers.SimpleRouter()
router.register(r'mails', EmailViewSet, basename='mails')

urlpatterns = router.urls
